Subject: libraries linking problem
From: "Prasad Valmeti" <[email-masked]>
To: "Pavel Tsekov" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 6 Nov 2001 14:43:22 +0530

Hi all,
	Sorry for inconvienence ... this is continuation to the mail below.
	I have used pexports to make *.def file from the snmp_pp_native.dll.
	Then i have created snmp_pp_native.a using dlltool command.

	I have given path for that.
	But still i am not able to link SNMP++ libraries from cygwin-gcc.

	Is there any person who have successfully linked SNMP++ libraries
using cygwin-gcc?
	Please help me to solve this problem.
Thanks,
 Prasad.

-----Original Message-----
From: Pavel Tsekov [mailto:[email-masked]]
Sent: Monday, November 05, 2001 10:02 PM
To: Prasad Valmeti
Cc: [email-masked]
Subject: Re: libraries linking problem

Check the maling list archive on cygwin's website for a
post with the subject "Re: linking against dlls" from
Charles S. Wilson posted on 08/24/2001 :)

Btw I think there was a recent discussion on SNMP++ on
the mailing list so you probably could check for that too :)

Prasad Valmeti wrote:
> 
>  Hi all,
>          I have installed gcc on windows using cygwin.
>          I am linking SNMP++ library using gcc in windows to run snmpget
> commands.
>          I have downloaded SNMP++ for windows, i am trying to link
libraries
> but i am getting                   problems.
>            I am not understanding how to link libraries in cygwin-gcc.
> 
>            I have snmp_pp_native.dll and also snmp_pp_native.lib after
> installing SNMP++ on windows.
> 
>            I have given path for library file snmp_pp_native.lib, that
would
> n't work.
>            I have tried to create snmp_pp_native.def and then from that
> snmp_pp_native.a using     dlltool, in this case it is telling "No symbols
in
> in dll".
> 
>            I am sending error which i am getting and also Makefile which i
> have used...
>            Please help me to sort out this problem....
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/